Summary:	Utility to keep up with changes to system files.
Name:		filetraq
Version:	0.2
Release:	1
Copyright:	GPL
Group:		Applications/System
URL:		http://filetraq.xidus.net/
Vendor:		Jeremy Weatherford <xidus@xidus.net>
Source:		http://filetraq.xidus.net/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	sed, findutils, fileutils, sh-utils, bash, diffutils
BuildArch:	noarch

%description
FileTraq is a shell script designed to be run periodically from the root
crontab. Each time, it compares a list of system files with the copies that
it keeps. Any changes are reported in diff or patchfile style, and dated
backup copies are kept. It lets you keep an eye on intruders who might change
system files, or other sysadmins who don't tell you about changes. It even
helps you keep track of your own changes, along with dated backups.
 
%prep
%setup -q -n %{name}-%{version}

%build
mv -f filetraq filetraq.tmp
cat filetraq.tmp \
	| sed -e 's,/usr/local/filetraq/filetraq.conf,/etc/%{name}.conf,g' \
	-e 's,/usr/local/filetraq/backups,/var/spool/%{name},g' \
	-e 's,/usr/local/filetraq,/var/spool/%{name},g' \
	> %{name}
mv -f filetraq.conf filetraq.conf.tmp
cat filetraq.conf.tmp \
	| sed -e 's,/usr/local/filetraq/filetraq.conf,/etc/%{name}.conf,g' \
	> %{name}.conf
echo "*/5 * * * * root %{prefix}/sbin/%{name}" > %{name}.cron

%install
rm -rf %{buildroot}
install -D -m 600 %{name}.cron %{buildroot}/etc/cron.d/
install -D -m 600 %{name}.conf %{buildroot}/etc/
install -D -m 700 %{name} %{buildroot}/%{prefix}/sbin/
install -d -m 700 %{buildroot}/var/spool/%{name}

%clean
rm -rf %{buildroot}

%post
/etc/rc.d/init.d/crond restart
echo
echo List files which need to be monitored in /etc/%{name}.conf
echo
echo Backups will be in /var/spool/%{name}/
echo

%postun
/etc/rc.d/init.d/crond restart

%files
%defattr(-, root, root)
%doc COPYING INSTALL README VERSION
%config(noreplace) /etc/cron.d/%{name}.cron
%config(noreplace) /etc/%{name}.conf
%{prefix}/sbin/%{name}
/var/spool/%{name}

%changelog
* Tue Jan 04 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 0.2

* Sun Jan 02 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
- requires sed to build
